package com.kdanmobile.reader.thumb

import android.support.v7.widget.RecyclerView

interface ItemMoveSwipeListener {
    fun getMovementFlags(recyclerView: RecyclerView, viewHolder: RecyclerView.ViewHolder): Int
    fun isLongPressDragEnabled(): Boolean
    fun onItemMove(fromPosition: Int, toPosition: Int): Boolean
    fun onItemSwipe(position: Int)
    fun onSelectedChanged(viewHolder: RecyclerView.ViewHolder?, actionState: Int)
    fun clearView(recyclerView: RecyclerView, viewHolder: RecyclerView.ViewHolder)
}